Bug 19860 - Make staff client home page responsive
Summary: Make staff client home page responsive
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Josef Moravec
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 14546
  Show dependency treegraph
 
Reported: 2017-12-21 14:17 UTC by Owen Leonard
Modified: 2018-01-22 10:46 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 19860: Make staff client home page responsive (22.79 KB, patch)
2017-12-21 14:30 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 19860: Make staff client home page responsive (22.84 KB, patch)
2017-12-22 21:39 UTC, Dominic Pichette
Details | Diff | Splinter Review
Bug 19860: Make staff client home page responsive (22.89 KB, patch)
2017-12-23 08:20 UTC, Josef Moravec
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2017-12-21 14:17:33 UTC
The YUI grid on the staff client home page should be replaced with use of the Bootstrap grid. This change will not affect the header search area, only the body of the page.
Comment 1 Owen Leonard 2017-12-21 14:30:33 UTC
Created attachment 70032 [details] [review]
Bug 19860: Make staff client home page responsive

This patch rewrites the markup of the staff client home page to use the
Bootstrap grid instead of the YUI grid, taking advantage of Bootstrap's
built-in responsiveness.

This patch does not affect the logo and search form in the header. It
will be necessary to address search forms in another patch.

To test, apply the patch and clear your browser cache if necessary. For
better results, apply the patch for Bug 19851 as well.

- View the staff client home page and test the layout at various browser
  widths.
- Test with and without news items
- Test with and without content in IntranetmainUserblock
Comment 2 Dominic Pichette 2017-12-22 21:39:17 UTC
Created attachment 70140 [details] [review]
Bug 19860: Make staff client home page responsive

This patch rewrites the markup of the staff client home page to use the
Bootstrap grid instead of the YUI grid, taking advantage of Bootstrap's
built-in responsiveness.

This patch does not affect the logo and search form in the header. It
will be necessary to address search forms in another patch.

To test, apply the patch and clear your browser cache if necessary. For
better results, apply the patch for Bug 19851 as well.

- View the staff client home page and test the layout at various browser
  widths.
- Test with and without news items
- Test with and without content in IntranetmainUserblock

Signed-off-by: dom <dominic.pichette@inlibro.com>
Comment 3 Katrin Fischer 2017-12-23 07:56:39 UTC
Hi Dominic, I notice your sign-off line is:
Signed-off-by: dom <dominic.pichette@inlibro.com>

Do you want to fix it to have your full name? We pull from the messages when generating the release notes.
Comment 4 Josef Moravec 2017-12-23 08:20:10 UTC
Created attachment 70150 [details] [review]
Bug 19860: Make staff client home page responsive

This patch rewrites the markup of the staff client home page to use the
Bootstrap grid instead of the YUI grid, taking advantage of Bootstrap's
built-in responsiveness.

This patch does not affect the logo and search form in the header. It
will be necessary to address search forms in another patch.

To test, apply the patch and clear your browser cache if necessary. For
better results, apply the patch for Bug 19851 as well.

- View the staff client home page and test the layout at various browser
  widths.
- Test with and without news items
- Test with and without content in IntranetmainUserblock

Signed-off-by: dom <dominic.pichette@inlibro.com>

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 5 Jonathan Druart 2017-12-26 15:54:08 UTC
Pushed to master for 18.05, thanks to everybody involved!
Comment 6 Nick Clemens 2018-01-15 16:46:40 UTC
Awesome work all, pushed to stable for 17.11.02
Comment 7 Fridolin SOMERS 2018-01-22 10:46:39 UTC
Enhancement not pushed to 17.05.x